<!DOCTYPE html>
{% extends "base.html" %}
{% load static %}
{% block content %}
<html lang="en"> 
<head>
 <meta charset="UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1.0">
 <meta http-equiv="X-UA-Compatible" content="ie=edge">
 <title>Daftar Resep</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

</head>
<body>
    <h1>Daftar Resep Obat</h1>
    {% if request.session.role == 'admin' %}
    <table class="table table-active table-hover">
        <tr>
            <th>Nomor Resep</th>
            <th>Total Harga</th>
            <th>ID Konsultasi</th>
            <th>ID Transaksi</th>
            <th>Daftar Obat</th>
            <th>Action[admin]</th>
        </tr>

        {% for columnResep in daftar_resep %}
        <tr> 
            <td>{{ columnResep.0 }}</td>
            <td>{{ columnResep.2 }}</td>
            <td>{{ columnResep.1 }}</td>
            <td>{{ columnResep.3 }}</td>
            <td>{{ columnResep.4 }}</td>
              
            <td>
                <div class="d-flex flex-row">
                <button type="submit" class="btn btn-success">Update</button>
             
                <form action="{% url 'create_resep:delete' %}" method="POST" class="delete">
                    {% csrf_token %}
                    <input type="hidden" name="no_resep" value="{{ columnResep.0 }}">
                    <button type="submit" class="btn btn-danger">Delete</button>
                </form>
                </div>
                <br>
            </td>
        </tr>
        {% endfor %}
    </table>
    {% else %}
    <table class="table table-active table-hover">
        <tr>
            <th>Nomor Resep</th>
            <th>Total Harga</th>
            <th>ID Konsultasi</th>
            <th>ID Transaksi</th>
            <th>Daftar Obat</th>
        </tr>

        {% for columnResep in daftar_resep %}
        <tr> 
            <td>{{ columnResep.0 }}</td>
            <td>{{ columnResep.2 }}</td>
            <td>{{ columnResep.1 }}</td>
            <td>{{ columnResep.3 }}</td>
            <td>{{ columnResep.4 }}</td>
        </tr>
        {% endfor %}
  </body>
  {% endif %}
</html>
{% endblock %}